<?xml version="1.0" encoding="UTF-8"?>
<!--
  Copyright (C) 2011 Mikołaj Rybiński
  
      This file is part of Tav4SB.
  
      Tav4SB is free software: you can redistribute it and/or modify it under
      the terms of the GNU Affero General Public License as published by the
      Free Software Foundation, either version 3 of the License, or (at your
      option) any later version.
  
      Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
      WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
      FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
      more details.
  
      You should have received a copy of the GNU Affero General Public License
      along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
  
      Contributors:
          Paweł Banasik - initial implementation
          Michał Lula - grid implementation
          Mikołaj Rybiński - implementation and maintenance
-->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" />
    <!-- utility to apply-templates for both attributes and children nodes -->
    <xsl:template name="apply-templates">
        <xsl:apply-templates select="@*" />
        <xsl:apply-templates />
    </xsl:template>
    <!-- rename doc root to data element -->
    <xsl:template match="results|timepoints|samples">
        <data>
            <xsl:call-template name="apply-templates" />
        </data>
    </xsl:template>
    <!-- filter out result elements with errors -->
    <xsl:template match="result[error]" />
    <!-- rename to point elements -->
    <xsl:template match="result|timepoint|sample">
        <point>
            <xsl:call-template name="apply-templates" />
        </point>
    </xsl:template>
    <!--  rename to coordinate elements -->
    <xsl:template match="constant|property|time|variable|param">
        <coordinate>
            <xsl:call-template name="apply-templates" />
        </coordinate>
    </xsl:template>
    <!-- filter out parameter type attributes -->
    <xsl:template match="@type" />
    <!-- standard copy template -->
    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:call-template name="apply-templates" />
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>
