/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.workflows.bsh;
import java.io.IOException;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;


public class XPathFilterNodesetByAttr {

    static void appendAttrFilter(Appendable buffer, String attrName, String attrValue, boolean ifQuote) throws IOException {
        buffer.append("@").append(attrName).append("=");
        if (ifQuote) buffer.append("\"");
        buffer.append(attrValue);
        if (ifQuote) buffer.append("\"");
    }

    public static void main(String[] args) throws IOException {
        // TODO Auto-generated method stub
        String attrName = "id";
        List<String> attrValList = Arrays.asList(new String[] {
                "1", "2", "3"
        });
        String ifQuoteVal = "false";



        if (ifQuoteVal == null)
            ifQuoteVal = "true";
        boolean quote = new Boolean(ifQuoteVal).booleanValue();
        StringBuffer buffer = new StringBuffer("*[");
        Iterator<String> valiter = attrValList.iterator();
        if (valiter.hasNext()) {
            appendAttrFilter(buffer, attrName, valiter.next(), quote);
            String delimiter = " or ";
            while (valiter.hasNext())
                appendAttrFilter(buffer.append(delimiter), attrName, valiter.next(), quote);
            }

        String xpath = buffer.append("]").toString();



        System.out.println(xpath);
    }

}
