/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.workflows.utils;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

import org.apache.cxf.helpers.IOUtils;

public class StaticReader {

	public static String readInputStream(InputStream in, Boolean close)
			throws IOException {
		try {
			return IOUtils.toString(in);
		} finally {
			if (close) {
				in.close();
			}
		}
	}

	public static String readInputStream(InputStream in) throws IOException {
		return readInputStream(in, true);
	}

	public static String readFile(String file) throws IOException {
		return readInputStream(new FileInputStream(file));
	}

	public static String readUrl(String url) throws MalformedURLException,
			IOException {
		URLConnection uc = new URL(url).openConnection();
		return readInputStream(uc.getInputStream());
	}

}
