/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.consumer.utils;

/**
 * Common properties for the workers exectued via shell command.
 *
 * @author trybik
 */
public abstract class ShellWorkerProperties extends WorkerProperties {
    public static final String COMMAND = "COMMAND";
    public static final String RUN_TASK = "RUN_TASK";
    public String getCommand() {
        return getProperty(COMMAND);
    }
    public String getRunTask() {
        return getProperty(RUN_TASK);
    }

    public ShellWorkerProperties() {
        super();
    }

    public ShellWorkerProperties(String prefix) {
        super(prefix);
    }
}
