/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.edu.mimuw.bioputer.tav4sb.logic.add;

import org.apache.log4j.Logger;
import pl.edu.mimuw.bioputer.tav4sb.consumer.task.TaskConsumerManager;
import pl.edu.mimuw.bioputer.tav4sb.logic.add.utils.AddProperties;
import pl.edu.mimuw.bioputer.tav4sb.logic.add.worker.AddWorkerFactory;
import pl.edu.mimuw.bioputer.tav4sb.utils.cli.CommandLineArgs;
import pl.edu.mimuw.bioputer.tav4sb.utils.cli.IncorrectArgumentFormatException;

/**
 *
 * @author michal
 */
public class Main {

    private static final Logger logger = Logger.getLogger(Main.class);
    public static final AddProperties props = new AddProperties();

    public static void main(String[] args) {
        try {

            CommandLineArgs command = new CommandLineArgs(args);
            String brokerURL = command.getArgValue(props.BROKER_URL, props.getBrokerUrl());
            String queueName = command.getArgValue(props.QUEUE_NAME, props.getQueueName());
            String taskType = command.getArgValue(props.TASK_TYPE, props.getTaskType());
            String threadNumber = command.getArgValue(props.THREAD_NUMBER, props.getThreadNumber());
            if (command.isHelpSet()) {
                command.printHelp(System.out);
                return;
            }
            logger.info("Starting ...");
            logger.info("Broker URL: " + brokerURL);
            logger.info("Queue name: " + queueName);
            logger.info("Task type: " + taskType);
            logger.info("Thread number: " + threadNumber);
            TaskConsumerManager consumer = new TaskConsumerManager(brokerURL, queueName);
            consumer.registerFactory(taskType, AddWorkerFactory.getInstance());
            consumer.run(Integer.parseInt(threadNumber));
        } catch (IncorrectArgumentFormatException e) {
            logger.error("Incorrect argument format");
            System.exit(1);
        } catch (Exception e) {
            logger.error("Exception occured: " + e.getMessage(), e);
            System.exit(1);
        }
    }
}
