/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.proc.plot;

import java.math.BigDecimal;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author michal
 */
public class Plot2DPoint extends PlotPoint {

    public static final int DIMENSION = 2;
    private final BigDecimal x;
    private final BigDecimal y;

    public Plot2DPoint(BigDecimal x, BigDecimal y) {
        this.x = x;
        this.y = y;
    }

    public int getDimension() {
        return DIMENSION;
    }

    public BigDecimal getX() {
        return this.x;
    }

    public BigDecimal getY() {
        return this.y;
    }

    public List<BigDecimal> getValues() {
        List<BigDecimal> result = new LinkedList<BigDecimal>();
        result.add(getX());
        result.add(getY());
        return result;
    }
}
