/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.utils;

import pl.edu.mimuw.bioputer.tav4sb.consumer.utils.WorkerProperties;

/**
 *
 * @author michal
 */
public class MathematicaProperties extends WorkerProperties {

    public static final String MSCRIPT_ROOT = "MSCRIPT_ROOT";
    public static final String MLINK_IMGFMT = "MLINK_IMGFMT";
    public static final String MLINK_PARAM = "MLINK_PARAM";
    public static final String MSCRIPT_NOCACHE = "MSCRIPT_NOCACHE";
    public static final String MLINK_LIBDIR = "MLINK_LIBDIR";
    public static final String MLINK_INSTANCES = "MLINK_INSTANCES";

    @Override
    protected String getPath() {
        return "mathematica.properties";
    }

    public String getMLinkImageFormat() {
        return getProperty(MLINK_IMGFMT);
    }

    public int getMLinkInstances() {
        return getIntProperty(MLINK_INSTANCES);
    }

    public String getMLinkLibDir() {
        return getProperty(MLINK_LIBDIR);
    }

    public String[] getMLinkParams() {
        return getPropertyArray(MLINK_PARAM);
    }

    public String getScriptNoCache() {
        return getProperty(MSCRIPT_NOCACHE);
    }

    public String getScriptRoot() {
        return getProperty(MSCRIPT_ROOT);
    }

    public String getTaskType(String taskType) {
        return getProperty(taskType);
    }
}
