/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.worker;

import java.util.List;


import com.wolfram.jlink.MathLinkException;
import pl.edu.mimuw.bioputer.tav4sb.consumer.task.AbstractWorker;
import pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.engine.MEngineException;
import pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.proc.SampleParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.NewArrayOfParam;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.NewArrayOfSample;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.SampleParamsParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.SampleParamsResult;
import pl.edu.mimuw.bioputer.tav4sb.utils.xml.XmlTranslator;

/**
 *
 * @author michal
 */
public class SampleParamsWorker extends AbstractWorker<SampleParamsParams, SampleParamsResult> {

    public SampleParamsWorker(XmlTranslator<SampleParamsResult, SampleParamsParams> translator) {
        super(translator);
    }

    @Override
    public SampleParamsResult doExecute(SampleParamsParams param) throws MathLinkException, MEngineException {
        List<NewArrayOfParam> sd = SampleParams.sampleParams(param.getDistribution(), param.getScale(), param.getRangeMultiplier(),
                param.getMethod(), param.getNr(), param.getParamList().getParam());
        NewArrayOfSample aos = new NewArrayOfSample();
        aos.getSample().addAll(sd);
        SampleParamsResult ret = new SampleParamsResult();
        ret.setSampleList(aos);
        return ret;
    }
}
