/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.worker;


import pl.edu.mimuw.bioputer.tav4sb.consumer.task.WorkerFactory;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.SampleParamsParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.SampleParamsResult;
import pl.edu.mimuw.bioputer.tav4sb.utils.xml.XmlTranslator;

/**
 *
 * @author michal
 */
public class SampleParamsWorkerFactory implements WorkerFactory {
    public static final String context = "pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica";
    private static final SampleParamsWorkerFactory instance = new SampleParamsWorkerFactory();
    private static final XmlTranslator<SampleParamsResult, SampleParamsParams> translator =
            new XmlTranslator<SampleParamsResult, SampleParamsParams>(context);

    private SampleParamsWorkerFactory() {
    }

    public static SampleParamsWorkerFactory getInstance() {
        return instance;
    }

    public SampleParamsWorker getWorker() {
        return new SampleParamsWorker(translator);
    }

}
