/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.logic.odesolver.worker;

import pl.edu.mimuw.bioputer.tav4sb.consumer.task.WorkerFactory;
import pl.edu.mimuw.bioputer.tav4sb.logic.odesolver.OdeSolver;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.odesolver.OdeSolverParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.odesolver.OdeSolverResult;
import pl.edu.mimuw.bioputer.tav4sb.utils.xml.XmlTranslator;

/**
 *
 * @author michal
 */
public class OdeSolverWorkerFactory implements WorkerFactory {

    public static final String context = "pl.edu.mimuw.bioputer.tav4sb.services.xsd.odesolver";
    private static final XmlTranslator<OdeSolverResult, OdeSolverParams> translator = new XmlTranslator<OdeSolverResult, OdeSolverParams>(context);
    private final OdeSolver simulator;

    private OdeSolverWorkerFactory(String command) {
        this.simulator = new OdeSolver(command);
    }

    public static OdeSolverWorkerFactory getInstance(String command) {
        return new OdeSolverWorkerFactory(command);
    }

    public OdeSolverWorker getWorker() {
        return new OdeSolverWorker(translator,getSimulator());
    }

    /**
     * @return the simulator
     */
    public OdeSolver getSimulator() {
        return simulator;
    }
}
