#!/bin/bash
#-------------------------------------------------------------------------------
# Copyright (C) 2011 Mikołaj Rybiński
#
#     This file is part of Tav4SB.
#
#     Tav4SB is free software: you can redistribute it and/or modify it under
#     the terms of the GNU Affero General Public License as published by the
#     Free Software Foundation, either version 3 of the License, or (at your
#     option) any later version.
#
#     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
#     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
#     more details.
#
#     You should have received a copy of the GNU Affero General Public License
#     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
#
#     Contributors:
#         Paweł Banasik - initial implementation
#         Michał Lula - grid implementation
#         Mikołaj Rybiński - implementation and maintenance
#-------------------------------------------------------------------------------

# JLink
jlink_jar=$MATHEMATICA_HOME/SystemFiles/Links/JLink/JLink.jar
if [ ! -f $jlink_jar ]; then
    echo "WARNING: installing JLink library from repository; may not work (Mathematica 7.0 Linux with CPU usage fix; 64bit version), but satisfies build requirements."
    jlink_jar=$TAV4SB_PROJECT_ROOT/logic/mathematica/src/main/resources/lib/JLink.jar
fi
mvn install:install-file -DgeneratePom=true -DgroupId=com.wolfram.jlink -DartifactId=jlink -Dversion=4.2.1 -Dpackaging=jar -Dfile=$jlink_jar
