/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.register.comp;

import java.util.Date;

/**
 *
 * @author trybik
 */
class TimeInterval {

    private Date start;
    private Date end;
    private Date duration;

    public TimeInterval(Date start, Date end) {
        this.start = start;
        this.end = end;
        setDuration();
    }

    private void setDuration() {
        this.duration = new Date(getEnd().getTime() - getStart().getTime());
    }

    /**
     *
     * @return Duration in miliseconds.
     */
    public long getDuration() {
        return duration.getTime();
    }

    public Date getEnd() {
        return end;
    }

    public Date getStart() {
        return start;
    }

    public void extend(Date start, Date end) {
        if (getStart().after(start)) {
            this.start = start;
        }
        if (getEnd().before(end)) {
            this.end = end;
        }
        setDuration();
    }
}
