/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.utils.cli;

import java.io.IOException;

/**
 *
 * @author trybik
 */
public class JavaCmdGeneric<Args extends JavaArgs, Result> extends ObjectSysCmd<Args, Result> {
    private static final String VERSION_SWITCH = "-version";

    public JavaCmdGeneric(String cmd, AbstractJavaCmdInOutTranslator<Args, Result> translator) {
        super(cmd, translator);
    }

    /**
     * Version of the JVM
     * @return String with the JVM version
     * @throws IOException
     * @throws InterruptedException
     */
    public String getVersion() throws IOException, InterruptedException {
        String[] args = {VERSION_SWITCH};
        return run(args);
    }
}
