/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.service.messages;

import java.math.BigDecimal;
import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.add.AddParams;
import static org.junit.Assert.*;

/**
 *
 * @author michal
 */
public class AddMessageTest {

    private static final Logger logger = Logger.getLogger(AddMessageTest.class);

    public AddMessageTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    /**
     * Test of getTextList method, of class AddMessage.
     */
    @Test
    public void testGetTextList() {
        logger.debug("getTextList test");
        try {
            AddParams params = new AddParams();
            params.setX(BigDecimal.ONE);
            params.setY(BigDecimal.TEN);
            AddMessage instance = new AddMessage(params);
            for (String s : instance.getTextList()) {
               logger.debug(s);
            }
        } catch (Exception e) {
            logger.error("unexpected exception occured", e);
            fail("unexpected exception occured");
        }
    }

}
